Distribution:	CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		orca
Version:	2.26.0
Release:	1
Summary:	Flexible, extensible, and powerful assistive technology
Group:		User Interface/Desktops
License:	LGPLv2+
URL:		http://www.gnome.org/projects/orca/
Source0:	http://download.gnome.org/sources/orca/2.24/orca-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%description
Orca is a flexible, extensible, and powerful assistive technology for people
with visual impairments. Using various combinations of speech synthesis,
braille, and magnification, Orca helps provide access to applications and
toolkits that support the AT-SPI (e.g., the GNOME desktop).

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
update-desktop-database &> /dev/null ||:
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

#remove the .desktop file , we configure orca through the accessibility capplet
find $RPM_BUILD_ROOT -name '*.desktop' | xargs rm -f

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README
%_bindir
%{python_sitearch}/orca
%_datadir/icons
%_datadir/orca/glade
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Apr 06 2009 Christian Wasem <wasem@ccux-linux.de> 2.26.0-1
- Initial package release
